Package com.independentsoft.office.spreadsheet.revisions

# Class RevisionHeader

java.lang.Object
com.independentsoft.office.spreadsheet.revisions.RevisionHeader

public class RevisionHeader extends Object
The Class RevisionHeader.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RevisionHeader()`
  Instantiates a new revision header.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RevisionHeader`
  `clone()`
  `Date`
  `getDateTime()`
  Gets the date time.
  `String`
  `getGuid()`
  Gets the guid.
  `int`
  `getLastSheetID()`
  Gets the last sheet id.
  `int`
  `getMaximumRevisionID()`
  Gets the maximum revision id.
  `int`
  `getMinimumRevisionID()`
  Gets the minimum revision id.
  `List<Reviewed>`
  `getReviewedList()`
  Gets the reviewed list.
  `RevisionSet`
  `getRevisionSet()`
  Gets the revision set.
  `List<SheetID>`
  `getSheetIDList()`
  Gets the sheet id list.
  `String`
  `getUserName()`
  Gets the user name.
  `void`
  `setDateTime​(Date dateTime)`
  Sets the date time.
  `void`
  `setGuid​(String guid)`
  Sets the guid.
  `void`
  `setLastSheetID​(int lastSheetID)`
  Sets the last sheet id.
  `void`
  `setMaximumRevisionID​(int maximumRevisionID)`
  Sets the maximum revision id.
  `void`
  `setMinimumRevisionID​(int minimumRevisionID)`
  Sets the minimum revision id.
  `void`
  `setRevisionSet​(RevisionSet revisionSet)`
  Sets the revision set.
  `void`
  `setUserName​(String userName)`
  Sets the user name.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RevisionHeader

    public RevisionHeader()
    Instantiates a new revision header.

- ## Method Details

  - ### clone

    public RevisionHeader clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getRevisionSet

    public RevisionSet getRevisionSet()
    Gets the revision set.
    Returns:
      the revision set

  - ### setRevisionSet

    public void setRevisionSet​(RevisionSet revisionSet)
    Sets the revision set.
    Parameters:
      `revisionSet` - the new revision set

  - ### getReviewedList

    public List<Reviewed> getReviewedList()
    Gets the reviewed list.
    Returns:
      the reviewed list

  - ### getSheetIDList

    public List<SheetID> getSheetIDList()
    Gets the sheet id list.
    Returns:
      the sheet id list

  - ### getDateTime

    public Date getDateTime()
    Gets the date time.
    Returns:
      the date time

  - ### setDateTime

    public void setDateTime​(Date dateTime)
    Sets the date time.
    Parameters:
      `dateTime` - the new date time

  - ### getGuid

    public String getGuid()
    Gets the guid.
    Returns:
      the guid

  - ### setGuid

    public void setGuid​(String guid)
    Sets the guid.
    Parameters:
      `guid` - the new guid

  - ### getMaximumRevisionID

    public int getMaximumRevisionID()
    Gets the maximum revision id.
    Returns:
      the maximum revision id

  - ### setMaximumRevisionID

    public void setMaximumRevisionID​(int maximumRevisionID)
    Sets the maximum revision id.
    Parameters:
      `maximumRevisionID` - the new maximum revision id

  - ### getLastSheetID

    public int getLastSheetID()
    Gets the last sheet id.
    Returns:
      the last sheet id

  - ### setLastSheetID

    public void setLastSheetID​(int lastSheetID)
    Sets the last sheet id.
    Parameters:
      `lastSheetID` - the new last sheet id

  - ### getMinimumRevisionID

    public int getMinimumRevisionID()
    Gets the minimum revision id.
    Returns:
      the minimum revision id

  - ### setMinimumRevisionID

    public void setMinimumRevisionID​(int minimumRevisionID)
    Sets the minimum revision id.
    Parameters:
      `minimumRevisionID` - the new minimum revision id

  - ### getUserName

    public String getUserName()
    Gets the user name.
    Returns:
      the user name

  - ### setUserName

    public void setUserName​(String userName)
    Sets the user name.
    Parameters:
      `userName` - the new user name